-- ****************
--   SDAT Display
-- ****************
dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")

-- MAIN MENU
local	mpcd_mm_btn_02				= CreateElement "ceStringPoly"
		mpcd_mm_btn_02.name			= "mpcd_mm_btn_02"
		mpcd_mm_btn_02.material		= mpcd_tpod_font
		mpcd_mm_btn_02.init_pos		= mpcd_btn_02_pos
		mpcd_mm_btn_02.alignment	= "CenterCenter"
		mpcd_mm_btn_02.value		= "G\nP\nS\nX"
		mpcd_mm_btn_02.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_02)

local	mpcd_mm_btn_04				= CreateElement "ceStringPoly"
		mpcd_mm_btn_04.name			= "mpcd_mm_btn_04"
		mpcd_mm_btn_04.material		= mpcd_tpod_font
		mpcd_mm_btn_04.init_pos		= mpcd_btn_04_pos
		mpcd_mm_btn_04.alignment	= "CenterCenter"
		mpcd_mm_btn_04.value		= "O\nL\nX"
		mpcd_mm_btn_04.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_04)

local	mpcd_mm_btn_05				= CreateElement "ceStringPoly"
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.material		= mpcd_tpod_font
		mpcd_mm_btn_05.init_pos		= mpcd_btn_05_pos
		mpcd_mm_btn_05.alignment	= "CenterCenter"
		mpcd_mm_btn_05.value		= "D\nT\nX"
		mpcd_mm_btn_05.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_05)

local	mpcd_mm_btn_08				= CreateElement "ceStringPoly"
		mpcd_mm_btn_08.name			= "mpcd_mm_btn_08"
		mpcd_mm_btn_08.material		= mpcd_tpod_font
		mpcd_mm_btn_08.init_pos		= mpcd_btn_08_pos
		mpcd_mm_btn_08.alignment	= "CenterCenter"
		mpcd_mm_btn_08.value		= "TFER"
		mpcd_mm_btn_08.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_08)

local	mpcd_mm_btn_10				= CreateElement "ceStringPoly"
		mpcd_mm_btn_10.name			= "mpcd_mm_btn_10"
		mpcd_mm_btn_10.material		= mpcd_tpod_font
		mpcd_mm_btn_10.init_pos		= mpcd_btn_10_pos
		mpcd_mm_btn_10.alignment	= "CenterCenter"
		mpcd_mm_btn_10.value		= "ERSE"
		mpcd_mm_btn_10.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_10)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_tpod_font
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

-- DISPLAY
local	title_top				= CreateElement "ceStringPoly"
		title_top.name			= "title_top"
		title_top.material		= mpcd_tpod_font
		title_top.init_pos		= {0.0,  0.49, 0}
		title_top.alignment		= "CenterCenter"
		title_top.value			= "CLASSIFIED DATA"
		title_top.stringdefs	= MPCD_data1_font_size
Add_MPCD_Element(title_top)

local	title_bottom				= CreateElement "ceStringPoly"
		title_bottom.name			= "title_bottom"
		title_bottom.material		= mpcd_tpod_font
		title_bottom.init_pos		= {0.0,  0.33, 0}
		title_bottom.alignment		= "CenterCenter"
		title_bottom.value			= "AMU"
		title_bottom.stringdefs		= MPCD_data1_font_size
Add_MPCD_Element(title_bottom)
